## ros-jazzy-moveit-kinematics 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-kinematics (2.10.0-2bookworm) bookworm; urgency=high

  * At least on humble, error is: 'robot_description_kinematics.arm.min_joint_config_distance' has invalid type: expected [double] got [integer]. (#2865 <https://github.com/moveit/moveit2/issues/2865>)
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * CI: Fix building of ikfast plugins (#2791 <https://github.com/moveit/moveit2/issues/2791>)
    Ignore missing authentication for Indigo packages using --force-yes.
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Henning Kayser, Robert Haschke, Sebastian Jahr, Tyler Weaver, s-trinh

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Remove LMA kinematics plugin (#2595 <https://github.com/ros-planning/moveit2/issues/2595>)
  * Update ROS Snapshots GPG key (#2547 <https://github.com/ros-planning/moveit2/issues/2547>)
    * Update GPG key for ROS snapshot
    * Add link
  * Do not pass and return simple types by const ref (#2453 <https://github.com/ros-planning/moveit2/issues/2453>)
    Co-authored-by: Nils <mailto:nilsmailiseke@gmail.com>
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Fix CMake error when building cached_ik_kinematics_plugin with trac_ik present (#2421 <https://github.com/ros-planning/moveit2/issues/2421>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Marq Rasmussen, Sebastian Castro, Sebastian Jahr, Shobuj Paul, Stephanie Eng, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.8.0-2bookworm) bookworm; urgency=high

  * Fix linking error with cached_ik_kinematics_plugin (#2292 <https://github.com/ros-planning/moveit2/issues/2292>)
  * Fix ikfast package template (#2195 <https://github.com/ros-planning/moveit2/issues/2195>)
  * Make loggers static or move into anonymous namespace (#2184 <https://github.com/ros-planning/moveit2/issues/2184>)
    * Make loggers static or move into anonymous namespace
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Move LOGGER out of class template
  * Contributors: Jafar, Sebastian Jahr, Shane Loretz

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.7.4-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.7.3-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.7.2-2bookworm) bookworm; urgency=high

  * Fix moveit_kinematics dependency on moveit_ros_planning (#2109 <https://github.com/ros-planning/moveit2/issues/2109>)
    This dependency is unconditionally used even if tests are disabled.
  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Readability: kinematic_state -> robot_state (#2078 <https://github.com/ros-planning/moveit2/issues/2078>)
  * Contributors: Scott K Logan, Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.7.1-2bookworm) bookworm; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Add ament export (#1887 <https://github.com/ros-planning/moveit2/issues/1887>)
    * Add ament export
    Also sort find_package entries alphabetically.
    * Minor cleanup
    ---------
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Contributors: Gaël Écorchard, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-moveit-kinematics (2.7.0-2bookworm) bookworm; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Add noexcept specifier to constructors
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix IKFAST_TEST (#1850 <https://github.com/ros-planning/moveit2/issues/1850>)
  * Change log level of CHOMP runtime output and change kdl print (#1818 <https://github.com/ros-planning/moveit2/issues/1818>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant

